=== debian/changelog ===
yoshimi (2.3.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.3.1
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:18:19 +0200
