## yoshimi 2.3.3.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.3.1")
+set (YOSHIMI_VERSION "2.3.3.2")
 
 add_definitions (-DMIN_CONFIG_MAJOR=2)
 add_definitions (-DMIN_CONFIG_MINOR=3)
