=== debian/changelog ===
yoshimi (2.3.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.3.2
  * Update copyright information
    + Update d/copyright
    + exclude another binary file from licensecheck
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Dec 2024 20:48:58 +0100
