## yoshimi 2.3.3.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 #   You should have received a copy of the GNU General Public License
 #   along with yoshimi.  If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required (VERSION 3.5)
-cmake_policy (VERSION 3.5)
+cmake_minimum_required (VERSION 3.12)
+cmake_policy (VERSION 3.12)
 cmake_policy (SET CMP0004 NEW)
 if (POLICY CMP0046)
     cmake_policy (SET CMP0046 NEW)
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.3.2")
+set (YOSHIMI_VERSION "2.3.3.3")
 
 add_definitions (-DMIN_CONFIG_MAJOR=2)
 add_definitions (-DMIN_CONFIG_MINOR=3)
