## yoshimi 2.3.4.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,12 +55,9 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.3.3")
-
-add_definitions (-DMIN_CONFIG_MAJOR=2)
-add_definitions (-DMIN_CONFIG_MINOR=3)
-
+set (YOSHIMI_VERSION "2.3.4.1")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
+
 
 set (CMAKE_INCLUDE_CURRENT_DIR ON)
 set (CMAKE_USE_RELATIVE_PATHS OFF)
@@ -305,7 +302,7 @@
 set (Misc_sources
     Misc/Bank.cpp  Misc/BuildScheduler.cpp  Misc/CmdOptions.cpp
     Misc/Config.cpp  Misc/InstanceManager.cpp  Misc/Microtonal.cpp  Misc/Part.cpp
-    Misc/SynthEngine.cpp  Misc/WavFile.cpp  Misc/XMLwrapper.cpp
+    Misc/SynthEngine.cpp  Misc/WavFile.cpp  Misc/XMLStore.cpp
 )
 
 set (Interface_Sources
@@ -388,7 +385,6 @@
         UI/WidgetCheckButton.cpp
         UI/WidgetSpinner.cpp
         UI/WidgetMWSlider.cpp
-        UI/YoshiWin.cpp
         UI/MiscGui.cpp
         UI/Splash.cpp
     )
@@ -397,3 +393,7 @@
 
 add_definitions (
     -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
+    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
+    -DYOSHI_FIFO_DIR="${FifoDirectory}"
+)
+
