=== debian/changelog ===
yoshimi (2.3.4.1-2) unstable; urgency=medium

  * Bump B-D on fltk to 1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Aug 2025 18:54:45 +0200

yoshimi (2.3.4.1-1) unstable; urgency=medium

  * New upstream version 2.3.4.1
  * Add patch to improve appstream metainfo
  * Drop obsolete lintian-overrides
  * Update copyright information
    + Update d/copyright
    + Drop removed files from d/copyright
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Aug 2025 12:19:32 +0200
