## yoshimi 2.3.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.4.1")
+set (YOSHIMI_VERSION "2.3.5 rc3")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 
@@ -102,6 +102,8 @@
 
 option (BuildWithFLTK "Build with FLTK GUI" ON)
 
+option (BuildWithFLTK4 "Build for FLTK V4+" ON)
+
 #option to build lv2 plugin
 option (LV2Plugin "Build yoshimi lv2 plugin interface" ON)
 
@@ -149,6 +151,10 @@
 
 if (BuildWithFLTK)
     add_definitions (-DGUI_FLTK)
+endif ()
+
+if (BuildWithFLTK4)
+    add_definitions (-DIS_FLTK_4)
 endif ()
 
 find_package (PkgConfig REQUIRED)
@@ -387,13 +393,9 @@
         UI/WidgetMWSlider.cpp
         UI/MiscGui.cpp
         UI/Splash.cpp
+        UI/ScaleTrackedWindow.cpp
     )
     set (YOSHI_INCLUDES ${FLTK_INCLUDE_DIR})
 endif ()
 
 add_definitions (
-    -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
-    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
-    -DYOSHI_FIFO_DIR="${FifoDirectory}"
-)
-
