=== debian/changelog ===
yoshimi (2.3.5-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.3.4.2

  [ Dennis Braun ]
  * New upstream version 2.3.5
  * Drop metadata patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Sun, 28 Sep 2025 20:03:38 +0200
