## yoshimi 2.3.5.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.5 rc3")
+set (YOSHIMI_VERSION "2.3.5.1")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
 
 
@@ -102,8 +102,6 @@
 
 option (BuildWithFLTK "Build with FLTK GUI" ON)
 
-option (BuildWithFLTK4 "Build for FLTK V4+" ON)
-
 #option to build lv2 plugin
 option (LV2Plugin "Build yoshimi lv2 plugin interface" ON)
 
@@ -151,10 +149,6 @@
 
 if (BuildWithFLTK)
     add_definitions (-DGUI_FLTK)
-endif ()
-
-if (BuildWithFLTK4)
-    add_definitions (-DIS_FLTK_4)
 endif ()
 
 find_package (PkgConfig REQUIRED)
@@ -399,3 +393,5 @@
 endif ()
 
 add_definitions (
+    -D'YOSHIMI_VERSION="${YOSHIMI_VERSION}"'
+    -D'BASE_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}"'
