=== debian/changelog ===
yoshimi (2.3.5.1-2) unstable; urgency=medium

  * Drop useless B-D on dssi-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Nov 2025 17:44:45 +0100

yoshimi (2.3.5.1-1) unstable; urgency=medium

  * New upstream version 2.3.5.1

 -- Dennis Braun <snd@debian.org>  Thu, 02 Oct 2025 18:45:50 +0200
