## yoshimi 2.3.5.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.5.1")
+set (YOSHIMI_VERSION "2.3.5.2")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
