=== src/LV2_Plugin/CMakeLists.txt ===
--- 
+++ 
@@ -118,6 +118,7 @@
     ../UI/WidgetMWSlider.cpp
     ../UI/WidgetCheckButton.cpp
     ../UI/WidgetSpinner.cpp
+    ../UI/ScaleTrackedWindow.cpp
 )
 
 add_definitions (-DYOSHIMI_LV2_PLUGIN=1)
