=== debian/changelog ===
yoshimi (2.3.5.2-1) unstable; urgency=medium

  * New upstream version 2.3.5.2
  * Update d/watch to version 5
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Sun, 09 Nov 2025 23:57:56 +0100
