=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  sharutils,
  zlib1g-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/yoshimi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/yoshimi
 Homepage: https://yoshimi.github.io
