=== debian/watch ===
Version: 5
Template: Github
Owner: Yoshimi
Project: yoshimi
