=== debian/changelog ===
yoshimi (2.3.5.3-1) unstable; urgency=medium

  * New upstream version 2.3.5.3

  * Update copyright information
    + Update copyrights
    + Fix file-pattern for files with spaces
    + Update licensecheck exceptions
    * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Dec 2025 16:47:24 +0100
