## yoshimi 2.3.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 project (Yoshimi)
 
-set (YOSHIMI_VERSION "2.3.5.3")
+set (YOSHIMI_VERSION "2.3.6")
 file (WRITE version.txt "${YOSHIMI_VERSION}")
