=== debian/changelog ===
yoshimi (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
  * Add patch to fix installation of non-existant file
  * Add explicit salsa-ci configuration
  * Drop obsolete 'Priority: optional' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Feb 2026 19:36:40 +0100
