=== debian/changelog ===
yoshimi (2.3.6.1-1) unstable; urgency=medium

  * New upstream version 2.3.6.1
  * Drop obsolete patches
  * Update copyright information
    + Re-generated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 20 Feb 2026 14:16:59 +0100
